Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.cisco.ipphone.sdk
Interface EMProviderIF

All Known Implementing Classes:
  EMProvider

    public interface EMProviderIF

The `EMProviderIF` interface defines a simple Java "wrapper" interface into Cisco CallManager Extension Mobility API. Any class implementing the `EMProviderIF` interface is expected to take care of formatting and communication of Extension Mobility XML commands. The `EMProvider` class included in this SDK is an implementation of the `EMProviderIF` interface.

See Also:
  `EMProvider`

Method Summary
`java.lang.String` | `sendRequest(int action, java.lang.String command)` This method accepts an Extension Mobility command along with the command action of either QUERY or REQUEST, and sends the request to the CallManager Extension Mobility API.

Method Detail

### sendRequest

    java.lang.String sendRequest(int action,
                                 java.lang.String command)

  This method accepts an Extension Mobility command along with the command action of either QUERY or REQUEST, and sends the request to the CallManager Extension Mobility API. The values of the public static integer constants QUERY and REQUEST should be defined by the implementing class with the integer values of 1 and 2, respectively, as they are in the provided `EMProvider` implementation. The implementing `AXLProviderIF` class must be fully initialized prior to calling this method, but the initialization is not specified by the interface and is implementation-specific.

  Parameters:
    `action` - The EM action type of either EMProvider.QUERY or EMProvider.REQUEST. The action type is determined by the type of command being issued. Some commands QUERY for EM login state while others make a REQUEST to change it.
    `command` - The EM command String (Example: <deviceUserQuery><deviceName>SEP00036B7FFE23</deviceName></deviceUserQuery>)
  Returns:
    String containing the full EM response in text XML. If the request is unsuccessful, an empty String or EM error message will be returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD